package com.liang.service;

import com.liang.entity.BaseDegree;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (BaseDegree)表服务接口
 *
 * @author makejava
 * @since 2023-02-15 23:13:17
 */
public interface BaseDegreeService {

    /**
     * 通过ID查询单条数据
     *
     * @param Genid 主键
     * @return 实例对象
     */
    BaseDegree queryById(Integer Genid);

    /**
     * 分页查询
     *
     * @param baseDegree  筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<BaseDegree> queryByPage(BaseDegree baseDegree, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseDegree 实例对象
     * @return 实例对象
     */
    BaseDegree insert(BaseDegree baseDegree);

    /**
     * 修改数据
     *
     * @param baseDegree 实例对象
     * @return 实例对象
     */
    BaseDegree update(BaseDegree baseDegree);

    /**
     * 通过主键删除数据
     *
     * @param Genid 主键
     * @return 是否成功
     */
    boolean deleteById(Integer Genid);

    /**
     * 获取学位列表
     *
     * @return
     */
    List<Map<String, String>> getDegreeList();
}
